<form (ngSubmit)="submit(f.form)" #f="ngForm" novalidate fxLayout="column" fxLayoutAlign="space-between around"
      class="boxed-container mat-elevation-z6">
    <div fxLayout="column" fxLayoutAlign="space-between center" fxFill>
        <h2 class="text-bold title center">SELEZIONA I DATI DEL REPORT CHE VUOI SCARICARE</h2>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-around center" fxFill>
        <mat-form-field>
            <mat-select placeholder="Palinsesto" name="palinsesti" [(ngModel)]="model.palinsesti" required multiple>
                <mat-option *ngFor="let palinsesto of palinsesti" [value]="palinsesto">{{ palinsesto.nome }}</mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field>
            <mat-select placeholder="Anno" name="anno" (selectionChange)="onChange($event)" [(ngModel)]="model.anno" required>
                <mat-option *ngFor="let anno of anni" [value]="anno">{{ anno }}</mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field>
            <mat-select placeholder="Mese" name="mese" [(ngModel)]="model.mesi" required multiple>
                <mat-option *ngFor="let mese of mesi" [value]="mese.id">{{ mese.label }}</mat-option>
            </mat-select>
        </mat-form-field>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-around center" fxFill>
        <button mat-raised-button color="primary" type="submit">DOWNLOAD FILE ARMONIZZATO</button>
    </div>
</form>
